Skip to main content
GET
https://api.legitmark.com
/
api
/
v2
/
models
List Models
curl --request GET \
  --url https://api.legitmark.com/api/v2/models
{
  "success": true,
  "rc_hit": true,
  "rc_key": "models:d883666bf43f39feef1c4f4dcd1ea54d",
  "message": "All the models are fetched successfully.",
  "models": [
    {
      "uuid": "8464ae2d-f98a-410b-99c7-7824dff0138e",
      "name": "Air Jordan 1 Low",
      "feature": false,
      "sides": [],
      "media": null,
      "brand": {
        "uuid": "03e7eb07-5e1e-465d-92a6-228dcaa6b148",
        "name": "Air Jordan",
        "media": "https://cdn.legitmark.com/brands/air_jordan.png",
        "sides": []
      },
      "types": null,
      "category": null,
      "created_at": "2023-11-12T03:54:22.000Z",
      "updated_at": "2023-11-12T03:54:22.000Z"
    }
  ],
  "metadata": {
    "total_count": 1250,
    "page_number": 1,
    "total_pages": 63,
    "page_size": 20
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

page_size
integer
default:20

Number of results per page

Required range: 1 <= x <= 100
page_number
integer
default:1

Page number

Required range: x >= 1
search_query
string

Search term for model names

brand_uuid
string<uuid>

Filter by specific brand

type_uuid
string<uuid>

Filter by specific type

category_uuid
string<uuid>

Filter by specific category

Response

200 - application/json

Models retrieved successfully

success
boolean
required
Example:

true

message
string
required
Example:

"All the models are fetched successfully."

models
object[]
required
rc_hit
boolean

Indicates if the response was served from cache

Example:

true

rc_key
string

Cache key used for this response

Example:

"models:abc123"

metadata
object

Pagination metadata